org.gnome.gtk

## Class DataColumnString

- Object
- - org.gnome.gtk.DataColumn
  - - org.gnome.gtk.DataColumnString

-     public final class DataColumnString
      extends DataColumn

  A column containing textual data in a TreeModel. See `DataColumn` for the full discussion of the role of how to employ these.

  DataColumnStrings are by far the most commonly used DataColumn type, as even numerical data is often presented in text form with formatting applied on the Java side before being passed in to drive presentation in the TreeView.

  Furthermore, there are numerous CellRenderer properties which take String arguments, and those values are also stored in your model in columns of type DataColumnString; see `setForeground()` on CellRendererText for an example.

  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataColumnString()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataColumnString

          public DataColumnString()